Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## codeanticode.gsvideo
Class GSMovieMaker

    java.lang.Object
      codeanticode.gsvideo.GSMovieMaker

    public class GSMovieMaker

extends java.lang.Object

This class makes movies from a running program.

Field Summary
`static int` | `BEST`
`static int` | `HIGH`
`static int` | `LOW`
`static int` | `MEDIUM`
`static int` | `THEORA`
`static int` | `WORST`
`static int` | `X264`
`static int` | `XVID`

Constructor Summary
`GSMovieMaker(processing.core.PApplet parent, int requestWidth, int requestHeight, java.lang.String filename)`
`GSMovieMaker(processing.core.PApplet parent, int requestWidth, int requestHeight, java.lang.String filename, int codecType, int ifps)`
`GSMovieMaker(processing.core.PApplet parent, int requestWidth, int requestHeight, java.lang.String filename, int codecType, int codecQuality, int ifps)`

Method Summary
`void` | `addFrame(int[] pixels)`
`void` | `dispose()`
`void` | `finish()`
`boolean` | `isRecording()`
`void` | `start()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### THEORA

    public static final int THEORA

See Also:
  Constant Field Values

### XVID

    public static final int XVID

See Also:
  Constant Field Values

### X264

    public static final int X264

See Also:
  Constant Field Values

### WORST

    public static final int WORST

See Also:
  Constant Field Values

### LOW

    public static final int LOW

See Also:
  Constant Field Values

### MEDIUM

    public static final int MEDIUM

See Also:
  Constant Field Values

### HIGH

    public static final int HIGH

See Also:
  Constant Field Values

### BEST

    public static final int BEST

See Also:
  Constant Field Values

Constructor Detail

### GSMovieMaker

    public GSMovieMaker(processing.core.PApplet parent,
                        int requestWidth,
                        int requestHeight,
                        java.lang.String filename)

### GSMovieMaker

    public GSMovieMaker(processing.core.PApplet parent,
                        int requestWidth,
                        int requestHeight,
                        java.lang.String filename,
                        int codecType,
                        int ifps)

### GSMovieMaker

    public GSMovieMaker(processing.core.PApplet parent,
                        int requestWidth,
                        int requestHeight,
                        java.lang.String filename,
                        int codecType,
                        int codecQuality,
                        int ifps)

Method Detail

### addFrame

    public void addFrame(int[] pixels)

### start

    public void start()

### finish

    public void finish()

### isRecording

    public boolean isRecording()

### dispose

    public void dispose()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library gsvideo by Andres Colubri. (c) 2008